from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNamed

@runtime_checkable
class XDataPilotDescriptor(XNamed, Protocol):
    def getTag(self) -> str: ...
    def setTag(self, aTag: str) -> None: ...
    def getSourceRange(self) -> CellRangeAddress: ...
    def setSourceRange(self, aSourceRange: CellRangeAddress) -> None: ...
    def getFilterDescriptor(self) -> XSheetFilterDescriptor: ...
    def getDataPilotFields(self) -> XIndexAccess: ...
    def getColumnFields(self) -> XIndexAccess: ...
    def getRowFields(self) -> XIndexAccess: ...
    def getPageFields(self) -> XIndexAccess: ...
    def getDataFields(self) -> XIndexAccess: ...
    def getHiddenFields(self) -> XIndexAccess: ...
